% $Id$ %
\subsection{Oscilloscope}
\screenshot{plugins/images/ss-oscilloscope}{Oscilloscope}{img:oscilloscope}

This demo shows the shape of the sound samples that make up the music
being played.
\opt{swcodec}{
  At faster speed rates, the \dap\ is less responsive
  to user input and music may start to skip.
}

\subsubsection{Keys}

\begin{table}
  \begin{btnmap}{}{}
    \opt{RECORDER_PAD}{\ButtonFOne}
    \opt{ONDIO_PAD}{\ButtonMenu}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD%
      ,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD}{\ButtonSelect}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonPlay}
    \opt{IRIVER_H10_PAD}{\ButtonRew}
    \opt{GIGABEAT_S_PAD}{\ButtonPrev}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Toggle filled / curve / plot \\
    \opt{RECORDER_PAD}{\ButtonFTwo}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonRight}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonRight}
    \opt{IAUDIO_X5_PAD}{\ButtonRec}
    \opt{IRIVER_H10_PAD}{\ButtonFF}
    \opt{SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD}{\ButtonDown}
    \opt{GIGABEAT_S_PAD}{\ButtonNext}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Toggle whether to scroll or not \\
    \opt{RECORDER_PAD}{\ButtonFThree}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonLeft}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonRec}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonLeft}
    \opt{IAUDIO_X5_PAD}{Long \ButtonSelect}
    \opt{IRIVER_H10_PAD}{Long \ButtonRew}
    \opt{SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD}{\ButtonUp}
    \opt{GIGABEAT_S_PAD}{\ButtonMenu}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Toggle drawing orientation \\
    \opt{RECORDER_PAD,IPOD_4G_PAD,IPOD_3G_PAD,IAUDIO_X5_PAD,IRIVER_H10_PAD%
      ,GIGABEAT_S_PAD}{\ButtonPlay}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonOff}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOn}
    \opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonRec}
    \opt{GIGABEAT_PAD}{\ButtonA}
    \opt{MROBE100_PAD}{\ButtonDisplay}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Pause the demo \\
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD}
        {\ButtonUp{} / \ButtonDown}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD,SANSA_E200_PAD}{\ButtonScrollFwd{} / \ButtonScrollBack}
    \opt{IRIVER_H10_PAD}{\ButtonScrollUp{} / \ButtonScrollDown}
    \opt{SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
        {\ButtonVolUp{} / \ButtonVolDown}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Increase / decrease volume\\
    \ButtonRight{} / \ButtonLeft
       \opt{HAVEREMOTEKEYMAP}{& }
    & Increase / decrease speed\\
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOff}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonMenu}
    \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD}
        {\ButtonPower}
    \opt{GIGABEAT_S_PAD}{\ButtonBack}
       \opt{HAVEREMOTEKEYMAP}{&
          \opt{IRIVER_RC_H100_PAD}{\ButtonRCStop}
        }
    & Exit demo \\
  \end{btnmap}
\end{table}
